sui_executeTransactionBlock - Sui
Example code for the sui_executeTransactionBlock JSON-RPC method. Complete guide on how to use sui_executeTransactionBlock JSON-RPC in GetBlock Web3 documentation.
Parameters
Parameter
Type
Required
Description
Default/Supported Values
Request Example
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
"jsonrpc": "2.0",
"method": "sui_executeTransactionBlock",
"params": [
"AAACACB...<base64_tx_bytes>",
["AQ7K...<base64_signature>"],
{
"showInput": true,
"showEffects": true,
"showEvents": true,
"showObjectChanges": true,
"showBalanceChanges": true
},
"WaitForLocalExecution"
],
}'import axios from 'axios';
const data = JSON.stringify({
"jsonrpc": "2.0",
"method": "sui_executeTransactionBlock",
"params": [
"AAACACB...<base64_tx_bytes>",
["AQ7K...<base64_signature>"],
{
"showInput": true,
"showEffects": true,
"showEvents": true,
"showObjectChanges": true,
"showBalanceChanges": true
},
"WaitForLocalExecution"
],
"id": "getblock.io"
});
const config = {
method: 'post',
url: 'https://go.getblock.io/<ACCESS-TOKEN>/',
headers: {
'Content-Type': 'application/json'
},
data: data
};
axios(config)
.then(response => console.log(JSON.stringify(response.data)))
.catch(error => console.log(error));Response
Repsonse Parameters
Parameter
Type
Description
Use Cases
Error handling
Error
Description
Solution
SDK Integration
Last updated
Was this helpful?